/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2005. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_INSTR_DESC                2
#define  PANEL_RESET                     3
#define  PANEL_IDQUERY                   4
#define  PANEL_RF_FREQ                   5
#define  PANEL_RF_LEVEL                  6
#define  PANEL_RF_STATE                  7
#define  PANEL_FADING_STATE              8
#define  PANEL_DM_STATE                  9
#define  PANEL_Exit                      10      /* callback function: exitApp */
#define  PANEL_APPLY                     11      /* callback function: apllySettings */
#define  PANEL_DECORATION                12
#define  PANEL_TEXT2                     13
#define  PANEL_TEXT1                     14
#define  PANEL_DECORATION_2              15
#define  PANEL_DECORATION_3              16
#define  PANEL_TEXT                      17
#define  PANEL_SPEED_UNIT                18
#define  PANEL_DEDICATED                 19
#define  PANEL_GSM_STANDARD              20
#define  PANEL_COMMON_SPEE               21


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_HELP                       2       /* callback function: panelHelp */


     /* Callback Prototypes: */ 

int  CVICALLBACK apllySettings(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK exitApp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK panelHelp(int menubar, int menuItem, void *callbackData, int panel);


#ifdef __cplusplus
    }
#endif
